summaryrefslogtreecommitdiff
path: root/start_artifact_store
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2018-03-24 14:02:20 +0200
committerLars Wirzenius <liw@liw.fi>2018-03-24 19:06:20 +0200
commit78d9c80226c52bcd70e27e7ee2a3a7754f644b53 (patch)
tree407131ac41543d0950c9576a141de2a6cc693973 /start_artifact_store
parentd8bf5f405c48980d69a4f2cef8179fb605f0c743 (diff)
downloadick2-78d9c80226c52bcd70e27e7ee2a3a7754f644b53.tar.gz
Change: rename blob service to artifact store
Diffstat (limited to 'start_artifact_store')
-rw-r--r--start_artifact_store24
1 files changed, 24 insertions, 0 deletions
diff --git a/start_artifact_store b/start_artifact_store
new file mode 100644
index 0000000..3bc4a40
--- /dev/null
+++ b/start_artifact_store
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Copyright (C) 2017-2018 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -eux
+
+export ARTIFACT_STORE_CONFIG=/etc/ick/artifact_store.yaml
+gunicorn3 \
+ --bind 127.0.0.1:12766 \
+ --log-file /var/log/ickas/gunicorn3.log \
+ --log-level debug \
+ artifact_store:app